# Class VulkanClearValueDepthStencil.Builder

java.lang.Object
com.io7m.jcoronado.api.VulkanClearValueDepthStencil.Builder

Enclosing class:
  `VulkanClearValueDepthStencil`

public static final class VulkanClearValueDepthStencil.Builder extends Object
Builds instances of type `VulkanClearValueDepthStencil`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VulkanClearValueDepthStencil`
  `build()`
  Builds a new `VulkanClearValueDepthStencil`.
  `final VulkanClearValueDepthStencil.Builder`
  `from(VulkanClearValueType.VulkanClearValueDepthStencilType instance)`
  Fill a builder with attribute values from the provided `VulkanClearValueDepthStencilType` instance.
  `final VulkanClearValueDepthStencil.Builder`
  `setDepth(float depth)`
  Initializes the value for the `depth` attribute.
  `final VulkanClearValueDepthStencil.Builder`
  `setStencil(int stencil)`
  Initializes the value for the `stencil` attribute.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanClearValueDepthStencil.Builder from(VulkanClearValueType.VulkanClearValueDepthStencilType instance)
    Fill a builder with attribute values from the provided `VulkanClearValueDepthStencilType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setDepth

    public final VulkanClearValueDepthStencil.Builder setDepth(float depth)
    Initializes the value for the `depth` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `depth`.

    Parameters:
      `depth` - The value for depth
    Returns:
      `this` builder for use in a chained invocation

  - ### setStencil

    public final VulkanClearValueDepthStencil.Builder setStencil(int stencil)
    Initializes the value for the `stencil` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `stencil`.

    Parameters:
      `stencil` - The value for stencil
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanClearValueDepthStencil build()
    Builds a new `VulkanClearValueDepthStencil`.
    Returns:
      An immutable instance of VulkanClearValueDepthStencil
    Throws:
      `IllegalStateException` - if any required attributes are missing